Bug 1307167 - gerrymander should require: python-prettytable
gerrymander should require: python-prettytable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gerrymander (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kashyap Chamarthy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 16:48 EST by Lars Kellogg-Stedman
Modified: 2016-03-09 15:12 EST (History)
2 users (show)

See Also:
Fixed In Version: gerrymander-1.5-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:52:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2016-02-12 16:48:28 EST
Description of problem:

The "gerrymander" tool requires the Python "prettytables" module, but this isn't reflected in the package dependencies.  Attempting to run "gerrymander" will result in:

Traceback (most recent call last):
  File "/usr/bin/gerrymander", line 18, in <module>
    from gerrymander.commands import CommandTool
  File "/usr/lib/python3.4/site-packages/gerrymander/commands.py", line 20, in <module>
    from gerrymander.reports import ReportOutput
  File "/usr/lib/python3.4/site-packages/gerrymander/reports.py", line 18, in <module>
    import prettytable
ImportError: No module named 'prettytable'


Version-Release number of selected component (if applicable):

gerrymander-1.4-2.fc23.noarch
Comment 1 Kashyap Chamarthy 2016-02-16 07:11:26 EST
Thanks for the bug report, Lars!

Just for completeness' sake, full reproducer:
----------------------------------------------------------
$ gerrymander changes -p openstack/nova --branch master
Traceback (most recent call last):
  File "/usr/bin/gerrymander", line 18, in <module>
    from gerrymander.commands import CommandTool
  File "/usr/lib/python3.4/site-packages/gerrymander/commands.py", line 20, in <module>
    from gerrymander.reports import ReportOutput
  File "/usr/lib/python3.4/site-packages/gerrymander/reports.py", line 18, in <module>
    import prettytable
ImportError: No module named 'prettytable'
----------------------------------------------------------
Comment 2 Fedora Update System 2016-02-16 08:21:52 EST
gerrymander-1.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95bb0f37d4
Comment 3 Fedora Update System 2016-02-17 01:27:36 EST
gerrymander-1.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95bb0f37d4
Comment 4 Fedora Update System 2016-02-22 12:23:50 EST
gerrymander-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bdfef6c5b
Comment 5 Kashyap Chamarthy 2016-02-22 12:39:42 EST
NB: There's a newer package (new upstream release with bug fixes): 

    gerrymander-1.5-1.fc23

https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bdfef6c5b
Comment 6 Fedora Update System 2016-02-24 16:52:34 EST
gerrymander-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9bdfef6c5b
Comment 7 Fedora Update System 2016-02-29 12:35:05 EST
gerrymander-1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-48a5138e81
Comment 8 Fedora Update System 2016-02-29 18:51:57 EST
gerrymander-1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-48a5138e81
Comment 9 Fedora Update System 2016-03-09 10:52:06 EST
gerrymander-1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-09 15:12:30 EST
gerrymander-1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.